Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Publish\Core\REST\Server\Controller\Views Class Reference

Controller for Repository Views (Search, mostly). More...

Inheritance diagram for eZ\Publish\Core\REST\Server\Controller\Views:

## Public Member Functions
| __construct (SearchService $searchService)
| createView (Request $request)
| Creates and executes a content view. More...
| listView ()
| List content views. More...
| getView ()
| Get a content view. More...
| loadViewResults ()
| Get a content view results. More...
Public Member Functions inherited from eZ\Publish\Core\REST\Server\Controller
| setInputDispatcher (InputDispatcher $inputDispatcher)
| setRouter (RouterInterface $router)
| setRepository (Repository $repository)
| setRequestParser (RequestParser $requestParser)

## Private Attributes
| $searchService

## Additional Inherited Members
Protected Member Functions inherited from eZ\Publish\Core\REST\Server\Controller
| getMediaType (Request $request)
| Extracts the requested media type from $request. More...
Protected Attributes inherited from eZ\Publish\Core\REST\Server\Controller
| $inputDispatcher
| $router
| $requestParser
| $repository

## Detailed Description

Controller for Repository Views (Search, mostly).

Definition at line 21 of file Publish/Core/REST/Server/Controller/Views.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Server\Controller\Views::__construct | ( | SearchService | $searchService | ) |

Definition at line 26 of file Publish/Core/REST/Server/Controller/Views.php.

References eZ\Publish\Core\REST\Server\Controller\Views\$searchService.

## Member Function Documentation

## ◆ createView()

eZ\Publish\Core\REST\Server\Controller\Views::createView | ( | Request | $request | ) |

Creates and executes a content view.

Returns
  \eZ\Publish\Core\REST\Server\Values\RestExecutedView

Definition at line 36 of file Publish/Core/REST/Server/Controller/Views.php.

## ◆ getView()

eZ\Publish\Core\REST\Server\Controller\Views::getView | ( |  | ) |

Get a content view.

Returns
  NotImplementedException;

Definition at line 86 of file Publish/Core/REST/Server/Controller/Views.php.

## ◆ listView()

eZ\Publish\Core\REST\Server\Controller\Views::listView | ( |  | ) |

List content views.

Returns
  NotImplementedException;

Definition at line 76 of file Publish/Core/REST/Server/Controller/Views.php.

## ◆ loadViewResults()

eZ\Publish\Core\REST\Server\Controller\Views::loadViewResults | ( |  | ) |

Get a content view results.

Returns
  NotImplementedException;

Definition at line 96 of file Publish/Core/REST/Server/Controller/Views.php.

## Member Data Documentation

## ◆ $searchService

eZ\Publish\Core\REST\Server\Controller\Views::$searchService
| private

Definition at line 24 of file Publish/Core/REST/Server/Controller/Views.php.

Referenced by eZ\Publish\Core\REST\Server\Controller\Views\__construct().

The documentation for this class was generated from the following file:

- Publish/Core/REST/Server/Controller/Views.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.